Bug 1644760 - CVE-2018-14654 glusterfs: "features/index" translator can create arbitrary, empty files [fedora-all]
Summary: CVE-2018-14654 glusterfs: "features/index" translator can create arbitrary, e...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: index
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On: 1644580
Blocks: CVE-2018-14654 1646200 1646204
TreeView+ depends on / blocked
 
Reported: 2018-10-31 14:40 UTC by Amar Tumballi
Modified: 2019-03-25 16:31 UTC (History)
12 users (show)

Fixed In Version: glusterfs-6.0
Doc Type: Release Note
Doc Text:
Clone Of: 1644580
: 1646200 1646204 (view as bug list)
Environment:
Last Closed: 2019-03-08 09:34:39 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 21534 0 None Merged index: prevent arbitrary file creation outside entry-changes folder 2018-11-05 10:51:43 UTC

Description Amar Tumballi 2018-10-31 14:40:27 UTC
+++ This bug was initially created as a clone of Bug #1644580 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-10-31 04:12:04 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1631576,1644580

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 1 Worker Ant 2018-11-01 16:10:40 UTC
REVIEW: https://review.gluster.org/21534 (index: prevent arbitrary file creation outside entry-changes folder) posted (#1) for review on master by Ravishankar N

Comment 2 Worker Ant 2018-11-05 10:51:38 UTC
REVIEW: https://review.gluster.org/21534 (index: prevent arbitrary file creation outside entry-changes folder) posted (#2) for review on master by Pranith Kumar Karampuri

Comment 3 Shyamsundar 2019-03-25 16:31:44 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-6.0, please open a new bug report.

glusterfs-6.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2019-March/000120.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.